www.cendio.com
Bug 3572 - tlclient does not recognize hotplugged smart card readers
: tlclient does not recognize hotplugged smart card readers
Status: CLOSED FIXED
: ThinLinc
Smart card
: 3.0.0
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-07-01 12:18 by
Modified: 2019-03-04 10:43 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2010-07-01 12:18:24
If you attach a smart card reader while tlclient is running, this reader won't
be usable: tlclient will not find any smart cards in this reader. It is
necessary to restart tlclient to use the new reader.
------- Comment #1 From cendio 2018-09-20 17:25:47 -------
This makes it much more cumbersome to use Yubikeys with ThinLinc, as they can
emulate smart card readers with a built-in card.

See also: bug 7253.
------- Comment #3 From cendio 2019-02-28 13:22:56 -------
Fixed now. Only tested on Linux so far.
------- Comment #4 From cendio 2019-03-01 14:05:02 -------
It doesn't work on Windows if you remove the last reader and re-insert it.

It turns out that modern Windows stops the smart card service when the last
reader is removed. Any application then needs to re-establish the context once
a reader is backed.

Upstream OpenSC has already fixed this, but it wasn't in the last stable
release. So let's apply their fix.
------- Comment #6 From cendio 2019-03-01 15:43:45 -------
Fixed.

Tester should make sure to test both with multiple readers and just one.
------- Comment #7 From cendio 2019-03-04 10:43:29 -------
Works well now, tested build 6057 on both Windows 10 and macOS 10.14.

Tested plugging in smart card readers with a card already inserted, tested with
both one reader and two at a time.